libzypp 17.37.10

zypp::RepoManager::Impl Class Reference

RepoManager implementation. More...

## Public Member Functions
| Impl (zyppng::SyncContextRef &&ctx, RepoManagerOptions &&opt)
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
const zyppng::SyncRepoManager & | ngMgr () const
zyppng::SyncRepoManager & | ngMgr ()

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Private Attributes
zyppng::SyncRepoManagerRef | _ngMgr

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const RepoManager::Impl &obj)
| Stream output.

## Detailed Description

RepoManager implementation.

Definition at line 38 of file RepoManager.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::RepoManager::Impl::Impl | ( | zyppng::SyncContextRef && | ctx,
|  | RepoManagerOptions && | opt )
| inline

Definition at line 41 of file RepoManager.cc.

## ◆ Impl() [2/3]

zypp::RepoManager::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/3]

zypp::RepoManager::Impl::Impl | ( | Impl && |  | ) |
| delete

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::RepoManager::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::RepoManager::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ ngMgr() [1/2]

const zyppng::SyncRepoManager & zypp::RepoManager::Impl::ngMgr | ( |  | ) | const
| inline

Definition at line 51 of file RepoManager.cc.

## ◆ ngMgr() [2/2]

zyppng::SyncRepoManager & zypp::RepoManager::Impl::ngMgr | ( |  | ) |
| inline

Definition at line 55 of file RepoManager.cc.

## ◆ clone()

Impl * zypp::RepoManager::Impl::clone | ( |  | ) | const
| inline private

clone for RWCOW_pointer

Definition at line 65 of file RepoManager.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const RepoManager::Impl & | obj )
| related

Stream output.

Definition at line 71 of file RepoManager.cc.

## Member Data Documentation

## ◆ _ngMgr

zyppng::SyncRepoManagerRef zypp::RepoManager::Impl::_ngMgr
| private

Definition at line 60 of file RepoManager.cc.

The documentation for this class was generated from the following file:

- zypp/RepoManager.cc